/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008,2010 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  An abstract hash table.  This is almost an empty class since there are very few algorithms that are not
 *  dependent on the representation.  Actually some design decisions could be forced on all concrete
 *  realizations of hash table so as to allow some commonality to be expressed here but this seems unduly
 *  restrictive.
 *
 *  @author Russel Winder
 */
public abstract class AbstractHashTable<K, V> extends AbstractContainer<Pair<K, V>> implements HashTable<K, V> {
  @Override public void add ( final K key , final V value ) { add ( new Pair<K, V> ( key , value ) ) ; }
  @Override public abstract V getValue ( K key ) ;
  @SuppressWarnings ( "unchecked" )
  @Override public AbstractHashTable<K, V> clone ( ) { return (AbstractHashTable<K, V>) super.clone ( ) ; }
}
