/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  The interface defining the necessary properties to be deemed to be a <code>Comparator</code>.
 *
 *  @author Russel Winder
 */
public interface Comparator<T> {
  /**
   *  The relation that this <code>Comparator</code> represents.  This method must compare the two objects
   *  and return <code>true</code> or <code>false</code> depending on whether the relation holds between the
   *  two parameters or not.
   *
   *  @param a the first item to test.
   *  @param b the second item to test.
   *  @return <code>true</code> is the relation holds, <code>false</code> otherwise.
   */
  boolean relation ( T a , T b ) ;
}
