/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2009 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  The exception thrown when one of the fixed size container types is asked to deal with more entries than
 *  it has capacity to hold.
 *
 *  @author Russel Winder
 */
public class ContainerCapacityExceededException extends RuntimeException {
	private static final long serialVersionUID = 3667681154723389015L ;
	public ContainerCapacityExceededException ( ) { super ( ) ; }
  public ContainerCapacityExceededException ( final String s ) { super ( s ) ; }
}
