/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2009 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  The exception thrown when an operation is called that cannot be completed for some reason.  This
 *  exception is also thrown for optional operations of iterators when called on an iterator that does not
 *  implement the operation.  This is only needed because core Java allows optional operations instead of
 *  treating them as anathema.
 *
 *  @author Russel Winder
 */
public class InvalidIteratorOperationException extends RuntimeException {
	private static final long serialVersionUID = -3116998501858503489L ;
	public InvalidIteratorOperationException ( ) { super ( ) ; }
  public InvalidIteratorOperationException ( final String s ) { super ( s ) ; }
}
