/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  A way of printing arrays of things.
 *
 *  @author Russel Winder
 */
public class PrintArray {
  private PrintArray ( ) { }
  /**
   *  Print an array of <code>Object</code>s.  Assumes all types implement the method
   *  <code>toString</code>.
   *
   *  @param v the array to print.
   */
  public static void print ( final Object[] v ) {
    System.out.print ( "[ " ) ;
    for ( int i = 0 ; i < v.length ; ++i ) {
      System.out.print ( v[i] ) ;
      if ( i < v.length-1 ) { System.out.print ( ", " ) ; }
    }
    System.out.println ( " ]" ) ;
  }
  /**
   *  Print an array of <code>int</code>s.
   *
   *  @param v the array to print.
   */
  public static void print ( final int[] v ) {
    System.out.print ( "[ " ) ;
    for ( int i = 0 ; i < v.length ; ++i ) {
      System.out.print ( v[i] ) ;
      if ( i < v.length-1 ) { System.out.print ( ", " ) ; }
    }
    System.out.println ( " ]" ) ;
  }
  /**
   *  Print an array of <code>double</code>s.
   *
   *  @param v the array to print.
   */
  public static void print ( final double[] v ) {
    System.out.print ( "[ " ) ;
    for ( int i = 0 ; i < v.length ; ++i ) {
      System.out.print ( v[i] ) ;
      if ( i < v.length-1 ) { System.out.print ( ", " ) ; }
    }
    System.out.println ( " ]" ) ;
  }
}
