/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads.alt.searching ;
/**
 *  Search a data structure using linear search, an O(n) search.
 *
 *  @author Russel Winder
 */
public final class LinearSearch {
  private LinearSearch ( ) { }
  /**
   *  Search an array of <code>int</code>s.
   *
   *  @param a the array to be searched.
   *  @param i the <code>int</code> to be searched for.
   *  @return index of the item or -1 if it is not there.
   */
  public static int search ( final int[] a, final int i ) {
    for ( int index = 0 ; index < a.length ; ++index ) {
      if ( a[index] == i ) { return index ; }
    }
    return -1 ;
  }
}
