/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 2010 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads.sorting.tests ;

import org.devjavasoft.ads.Array ;
import org.devjavasoft.ads.DLList ;
import org.devjavasoft.ads.SLList ;

import org.devjavasoft.ads.LessThanComparator ;

import org.devjavasoft.ads.sorting.BubbleSort ;

import org.testng.annotations.Test ;
import static org.testng.Assert.assertEquals ;

/**
 *  A class for testing all the sorting algorithms.
 *  
 * @author Russel Winder <russel@russel.org.uk>
 */
public class BubbleSort_Test {
  @Test public void emptyPrimitiveArrayOfInteger ( ) {
    final Integer[] data = new Integer[] { } ;
    BubbleSort.sort ( data , new LessThanComparator<Integer> ( ) ) ;
    assertEquals ( data , new Integer[] { } ) ;
  }
  @Test public void emptyArrayOfInteger ( ) {
    final Array<Integer> data = new Array<Integer> ( ) ;
    BubbleSort.sort ( data , new LessThanComparator<Integer> ( ) ) ;
    assertEquals ( data , new Array<Integer> ( ) ) ;
  }
  @Test public void emptyDLListOfInteger ( ) {
    final DLList<Integer> data = new DLList<Integer> ( ) ;
    BubbleSort.sort ( data , new LessThanComparator<Integer> ( ) ) ;
    assertEquals ( data , new DLList<Integer> ( ) ) ;
  }
  /*@Test*/public void emptySLListOfInteger ( ) {
    final SLList<Integer> data = new SLList<Integer> ( ) ;
    BubbleSort.sort ( data , new LessThanComparator<Integer> ( ) ) ;
    assertEquals ( data , new SLList<Integer> ( ) ) ;
  }
}
