/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads.tests ;

import org.devjavasoft.ads.OrderedBinaryTreeBag ;
import org.devjavasoft.ads.LessThanComparator ;
import org.devjavasoft.ads.Bag ;

import org.testng.annotations.BeforeMethod ;
import org.testng.annotations.Test ;
import static org.testng.Assert.assertEquals ;

/**
 *  @author Russel Winder
 */
public class Bag_Test {
  private Bag<String> a ;
  @BeforeMethod  public void setUp ( ) {
    a = new OrderedBinaryTreeBag<String> ( new LessThanComparator<String> ( ) ) ;
    fillOut ( a ) ;
  }
  @Test public void counts ( ) {
    assertEquals ( a.countOf ( "Gudren" ) , 2 ) ;
    assertEquals ( a.countOf ( "sick" ) , 3 ) ;
  }
  @Test public void testClone ( ) {
    final Bag<String> b = a.clone ( ) ;
    assertEquals ( a , b ) ;
    assertEquals ( b , a ) ;
  }
  @Test public void remove ( ) {
    a.remove ( "sick" ) ;
    assertEquals ( a.countOf ( "sick" ) , 2 ) ;
  }
  private void fillOut ( final Bag<String> s ) {
    s.add ( "Groovy" ) ;
    s.add ( "Gudren" ) ;
    s.add ( "Hello" ) ;
    s.add ( "Hi" ) ;
    s.add ( "Ho" ) ;
    s.add ( "punk" ) ;
    s.add ( "sick" ) ;
    s.add ( "whack" ) ;
    s.add ( "Hello" ) ;
    s.add ( "Groovy" ) ;
    s.add ( "Ho" ) ;
    s.add ( "sick" ) ;
    s.add ( "Gudren" ) ;
    s.add ( "Hi" ) ;
    s.add ( "punk" ) ;
    s.add ( "sick" ) ;
    s.add ( "whack" ) ;
  }
}
