/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008,2010 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads.tests.filesort ;

import org.devjavasoft.ads.sorting.SortableRecord ;

/**
 *  A record to represent the test data from data.master &mdash; each record is a single integer contained
 *  on a line of the file.
 *
 *  @author Russel Winder
 */
public class TestRecord implements SortableRecord {
  private final String data ;
  public TestRecord ( final String s ) { data = s ; }
  @Override public int compareTo ( final SortableRecord o ) {
    if ( ! ( o instanceof TestRecord ) ) { throw new IllegalArgumentException ( ) ; }
    final int a = Integer.parseInt ( data ) ;
    final int b = Integer.parseInt ( ( (TestRecord) o ).data ) ;
    return ( a == b ) ? 0 : ( a < b ) ? -1 : 1 ;
  }
  @Override public String toString ( ) { return data ; }
}
