/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2008,2010 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads.tests.filesort ;

import org.devjavasoft.ads.Comparator ;
import org.devjavasoft.ads.sorting.SortableRecord ;

/**
 *  An less than comparator for test records.
 *
 *  @author Russel Winder
 */
public class TestRecordComparator implements Comparator<SortableRecord> {
  @Override public boolean relation ( final SortableRecord a , final SortableRecord b ) { return a.compareTo ( b ) < 0 ; }
}
